{% set PageTitle = "Guide Detail" %}

{% extends "master.html" %}
{% set BodyClass = "guide" %}

{% block main %}

  <div id="share"></div>
  <div id="anchorNav"></div>
  <div id="intro"></div>

  <div class="anchorSection">
    <div id="heading0"></div>
    <div class="anchorSection__section" id="anchorLinkOne">
      <div id="heading1"></div>
      <div id="bodyCopy1"></div>
    </div>
    <div class="anchorSection__section" id="anchorLinkTwo">
      <div id="heading2"></div>
      <div id="bodyCopy2"></div>
    </div>
    <div class="anchorSection__section" id="anchorLinkThree">
      <div id="heading3"></div>
      <div id="bodyCopy3"></div>
    </div>
    <div class="anchorSection__section" id="anchorLinkFour">
      <div id="heading4"></div>
      <div id="bodyCopy4"></div>
    </div>
    <div class="anchorSection__section" id="anchorLinkFive">
      <div id="heading5"></div>
      <div id="bodyCopy5"></div>
    </div>
    <div class="anchorSection__section" id="anchorLinkSix">
      <div id="heading6"></div>
      <div id="bodyCopy6"></div>
    </div>
  </div>

{% endblock %}

{% block styles %}
{% endblock %}

{% block header %}
    <script>
      ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
        theme:{
        	themeName:'strawberry',
          themeAfter:'white',
          textColour:'white'
        },

        article:{
          headline:"How to save money on your fuel costs: Three easy ways to make a big difference ",
          date:{ day:"", month:{ label:"", number:"", }, year:"", time:"" },
          readTime:"",
          categoryTags:[{
              label:"Driving",
              href:"#"
            },{
              label:"Lorem",
              href:"#"
            },{
              label:"Ipsum",
              href:"#"
            }],
          categoryHref:"http://www.category.com"
        }
      }), document.getElementById("HeaderBanner"));
      
    </script>
  {% endblock %}

{% block scripts %}

  <script>

 window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.BodyIntro, {
      width:'mini',
      heading:"This is a heading component"
    }), document.getElementById("intro"));

    ReactDOM.render(React.createElement(Components.AnchorHeading, {
      heading:"1. Heading for guide section 1"
    }), document.getElementById("heading1"));

    ReactDOM.render(React.createElement(Components.BodyCopy, {
        width:'mini',
        hasBackground:false,
        hasAltHeadingStyle: true,
        copy:`<p>Our survey of mature drivers discovered more than a fifth of over-65s have a lack of confidence on the roads!!!!!</p>`,
        isBackToTopLinkHidden: false,
        backToTopLinkText: 'BACK TO TOP'
      }), document.getElementById("bodyCopy1"));


    ReactDOM.render(React.createElement(Components.AnchorHeading, {
      heading:"2. Heading for guide section 2"
    }), document.getElementById("heading2"));

    ReactDOM.render(React.createElement(Components.BodyCopy, {
        width:'mini',
        hasBackground:false,
        hasAltHeadingStyle: true,
        copy:`
            <p>The Office for National Statistics estimates we spend nearly £20 a week on petrol, diesel and other motor oils. So for a two-car family this can really add up over the year, giving an annual fuel bill of over £2,000.</p>
			      <p>So how can you save money on your fuels costs?</p>
			      <p>Here we take a look at the top three ways to save on fuel:</p>
			      <ul>
				      <li>Shop around</li>
				      <li>Drive efficiently</li>
				      <li>Ditch fossil fuels</li>
			      </ul>
        		<h3>Heading 2</h3>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>`,
          isBackToTopLinkHidden: false
     }), document.getElementById("bodyCopy2"));

    ReactDOM.render(React.createElement(Components.AnchorHeading, {
      heading:"3. Heading for guide section 3"
    }), document.getElementById("heading3"));

    ReactDOM.render(React.createElement(Components.BodyCopy, {
        width:'mini',
        hasBackground:false,
        hasAltHeadingStyle: true,
        copy:`
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>`
     }), document.getElementById("bodyCopy3"));

    ReactDOM.render(React.createElement(Components.AnchorHeading, {
      heading:"4. Heading for guide section 4"
    }), document.getElementById("heading4"));

    ReactDOM.render(React.createElement(Components.BodyCopy, {
        width:'mini',
        hasAltHeadingStyle: true,
        hasBackground:false,
        copy:`
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>`
     }), document.getElementById("bodyCopy4"));

    ReactDOM.render(React.createElement(Components.AnchorHeading, {
      heading:"5. Heading for guide section 5"
    }), document.getElementById("heading5"));

    ReactDOM.render(React.createElement(Components.BodyCopy, {
        width:'mini',
        hasBackground:false,
        hasAltHeadingStyle: true,
        copy:`
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>`
     }), document.getElementById("bodyCopy5"));

    ReactDOM.render(React.createElement(Components.AnchorHeading, {
      heading:"6. Heading for guide section 6"
    }), document.getElementById("heading6"));

    ReactDOM.render(React.createElement(Components.BodyCopy, {
        width:'mini',
        hasBackground:false,
        hasAltHeadingStyle: true,
        copy:`
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>
              <p>Cat ipsum dolor sit amet, tiger tom lynx so manx. Birman british shorthair puma, and donskoy. Puma. Tomcat. British shorthair russian blue. Norwegian forest. Kitty cheetah ocicat for abyssinian devonshire rex.</p>`
      }), document.getElementById("bodyCopy6"));

    ReactDOM.render(React.createElement(Components.Share,{
      link: {
        href:"http://www.google.com",
      },
      title:"example title",
      titleIntro:"Check out this from LV: "
    }), document.getElementById("share"));

    ReactDOM.render(React.createElement(Components.AnchorNav,{
      heading: 'On this page',
      items:[
        {
          label:"Anchor link one",
          href:"#anchorLinkOne"
        },
        {
          label:"Anchor link two",
          href:"#anchorLinkTwo"
        },
        {
          label:"Anchor link three",
          href:"#anchorLinkThree"
        },
        {
          label:"Anchor link four",
          href:"#anchorLinkFour"
        },
        {
          label:"Anchor link five",
          href:"#anchorLinkFive"
        },
        {
          label:"Anchor link six",
          href:"#anchorLinkSix"
        },
      ],
    }), document.getElementById("anchorNav"));
  })

</script>

{% endblock %}

